from os.path import join

PREFIX     = "/opt"
LIBDIR     = "/opt/lib"
DATADIR    = "/opt/share"
DOCDIR     = "/opt/share/doc/cherokee"
LOCALEDIR  = "/opt/share/locale"
WWWROOT    = "/opt/share/www/cherokee"
SYSCONFDIR = "/opt/etc"
LOCALSTATE = "/opt/var"
VERSION    = "0.99.45"

CHEROKEE_SERVER     = join (PREFIX, "sbin/cherokee")
CHEROKEE_WORKER     = join (PREFIX, "sbin/cherokee-worker")
CHEROKEE_ADMINDIR   = join (PREFIX, "share/cherokee/admin")
CHEROKEE_ICONSDIR   = join (PREFIX, "share/cherokee/icons")
CHEROKEE_THEMEDIR   = join (PREFIX, "share/cherokee/themes")
CHEROKEE_PANIC_PATH = join (PREFIX, "bin/cherokee-panic")
CHEROKEE_PLUGINDIR  = join (LIBDIR, "cherokee")
CHEROKEE_DATADIR    = join (DATADIR, "cherokee")
CHEROKEE_DEPSDIR    = join (DATADIR, "cherokee/deps")
CHEROKEE_CONFDIR    = join (SYSCONFDIR, "cherokee")
CHEROKEE_VAR_RUN    = join (LOCALSTATE, "run")
CHEROKEE_RRD_DIR    = join (LOCALSTATE, "lib/cherokee/graphs")
CHEROKEE_GRAPHS_DIR = join (LOCALSTATE, "lib/cherokee/graphs/images")
